classification
Title: Use specific asserts in weakref tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, fdrake, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-15 09:57 by serhiy.storchaka, last changed 2013-11-17 12:47 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_weakref_asserts.patch serhiy.storchaka, 2013-11-15 09:57 review
Messages (3)
msg202932 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 09:57
The proposed patch makes the weakref module tests use more specific asserts. This will provide more useful failure report.
msg203104 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 23:05
LGTM (I left a comment on rietveld).
msg203140 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-17 11:25
New changeset d187eae08b8a by Serhiy Storchaka in branch '3.3':
Issue #19607: Use specific asserts in weakref tests.
http://hg.python.org/cpython/rev/d187eae08b8a

New changeset 8deab371850b by Serhiy Storchaka in branch 'default':
Issue #19607: Use specific asserts in weakref tests.
http://hg.python.org/cpython/rev/8deab371850b

New changeset 3d2cfeea8950 by Serhiy Storchaka in branch '2.7':
Issue #19607: Use specific asserts in weakref tests.
http://hg.python.org/cpython/rev/3d2cfeea8950
History
Date User Action Args
2013-11-17 12:47:38serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-11-17 11:25:08python-devsetnosy: + python-dev
messages: + msg203140
2013-11-16 23:05:30ezio.melottisetnosy: + ezio.melotti
messages: + msg203104
2013-11-15 09:57:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 09:57:17serhiy.storchakacreate